#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - ssh installation
#
# Creation   :  2012-09-15 holbru
# Last update:  $Id: postinstall-ssh.sh 40277 2016-01-17 09:52:30Z hbfl $
#
# Copyright (c) 2012-2016 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name='ssh'

# ---------------------------------------------------------------------------
# update-2.2.1
# ---------------------------------------------------------------------------
update_2_2_1()
{
    # remove obsolete script
    rm -f /var/install/bin/system-ssh-create_keys

    /var/install/config.d/ssh-update.sh
    /var/install/config.d/ssh.sh
}
# ---------------------------------------------------------------------------
# update-2.4.0 
# ---------------------------------------------------------------------------
update_2_4_0()
{
    if [ -f /var/log/btmp ]
    then
        sed -i "s|SSH_USE_BTMP_LOGFILE=.*$|SSH_USE_BTMP_LOGFILE='yes'|" /etc/config.d/ssh
    fi
}

# ---------------------------------------------------------------------------
# update-2.6.7
# ---------------------------------------------------------------------------
update_2_6_7()
{
    :
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}


# do that only if START = yes
. /etc/config.d/ssh

if [ "${START_SSH}" = "yes" ]
then
    /etc/init.d/ssh start
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
